# PPluginServiceDescriptor Class Reference

`#include <plugin.h>`

Inheritance diagram for PPluginServiceDescriptor:

List of all members.

## Public Member Functions

| PPluginServiceDescriptor ()
virtual | ~PPluginServiceDescriptor ()
virtual unsigned | GetPluginAPIVersion () const

## Protected Attributes

unsigned | version

## Constructor & Destructor Documentation

PPluginServiceDescriptor::PPluginServiceDescriptor | ( |  | ) | `[inline]`

virtual PPluginServiceDescriptor::~PPluginServiceDescriptor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual unsigned PPluginServiceDescriptor::GetPluginAPIVersion | ( |  | ) | const`[inline, virtual]`

## Member Data Documentation

unsigned PPluginServiceDescriptor::version `[protected]`

The documentation for this class was generated from the following file:

- plugin.h